(function($) {

    $(document).ready(function() {
        var element = $('.cart-cont'),
            originalY = element.offset().top;
        var bottomargin = 60;

        show_cart();

        /**
         * on scroll event
         */
        $(window).on('scroll', function(event) {
            var scrollTop = $(window).scrollTop();
            element.stop(false, false).animate({
                top: (originalY + scrollTop) - bottomargin
            }, 300);

        });

        /**
         * onclick cart showing
         */
        function show_cart() {
            $('.cart-icon').click(function(e) {
                e.preventDefault();
                $(".prepend-cart").fadeIn('fast');
                $(this).fadeOut('fast');
            });
        }

        /**
         * Draggable 
         */
        $('.cart-cont').draggable({
            stop: function(event, ui) {
                $(".cart-icon").unbind("click");
                setTimeout(function() { show_cart() }, 100);
            }
        });

        /**
         * Cart close
         */
        $(document).on('click', '.close-floating-cart', function(event) {
            event.preventDefault();
            $(".cart-icon").fadeIn('fast');
            $(".prepend-cart").fadeOut('fast');
        });

        /**
         * Auto update after remove from cart
         */
        $(document).on('click', '.product-remove .remove', function(event) {

            console.log('remove clicked');

            $(".prepend-cart").html('<div id="overlay">' +
                '<img id="loading" src="' + wpFloatingCart.WOO_FLOATING_CART_URL + '/assets/img/loading4.gif">' +
                '</div>');

            setTimeout(function() {
                if (!isNaN(parseInt($(".total-item").text()))) {
                    $updated_count = parseInt($(".total-item").text()) - 1;
                } else {
                    $updated_count = 1;
                }
                $(".total-item").text($updated_count);
                var data = {
                    'action': 'update'
                }
                $.ajax({
                        url: wpFloatingCart.ajaxurl,
                        type: 'POST',
                        dataType: 'html',
                        data: data,
                        success: function(res) {
                            $(".prepend-cart").html(res);
                        }
                    })
                    .done(function() {
                        console.log("success");
                    })
                    .fail(function() {
                        console.log("error");
                    })
                    .always(function() {
                        console.log("complete");
                    });

            }, 3000);

        });

        /**
         * Auto update after add to cart select
         */
        $('.add_to_cart_button').click(function(event) {

            $(".prepend-cart").html('<div id="overlay">' +
                '<img id="loading" src="' + wpFloatingCart.WOO_FLOATING_CART_URL + '/assets/img/loading4.gif">' +
                '</div>');

            setTimeout(function() {
                if (!isNaN(parseInt($(".total-item").text()))) {
                    $updated_count = parseInt($(".total-item").text()) + 1;
                } else {
                    $updated_count = 1;
                }
                $(".total-item").text($updated_count);
                var data = {
                    'action': 'update'
                }
                $.ajax({
                        url: wpFloatingCart.ajaxurl,
                        type: 'POST',
                        dataType: 'html',
                        data: data,
                        success: function(res) {
                            $(".prepend-cart").html(res);
                        }
                    })
                    .done(function() {
                        console.log("success");
                    })
                    .fail(function() {
                        console.log("error");
                    })
                    .always(function() {
                        console.log("complete");
                    });

            }, 3000);

        });

    });

})(jQuery);
