<?php

/**
 * Main class
 * This is the main class of the plugin
 *
 * @since [1.0]
 *
 * @param  [type][description]
 * @return [type][description]
 */

/* protected */
if (!defined('ABSPATH'))
	exit;


class Wp_Floating_Cart{
	
	public function __construct(){
		if( !is_admin() ){
			add_action( "init", array( $this, 'enqueue_script_style' ), 10, 1 );
			add_action('wp_footer', array( $this, 'floating_show_cart_content' ), 99 );
		}
		add_action( 'wp_ajax_update', array( $this, 'update_cart' ) );
		add_action( 'wp_ajax_nopriv_update', array( $this, 'update_cart' ) );
	}

	/**
	* Adding js and css files
	*
	* @since  [1.0]
	*/
	public function enqueue_script_style()
	{
		wp_enqueue_style( 'font-awesome-icon', WOO_FLOATING_CART_URL.'assets/font-awesome/css/font-awesome.min.css' );

		wp_enqueue_style( 'wp-floating-cart-style', WOO_FLOATING_CART_URL.'assets/css/style.css',false, date( 'Ymd' ) );

		wp_enqueue_script('jquery-ui-core');
		wp_enqueue_script("jquery-ui-draggable");

		wp_enqueue_script( 'wp-floating-cart-scripts', WOO_FLOATING_CART_URL.'assets/js/script.js', array( 'jquery' ));

		$localize_array = array(
			'ajaxurl' => admin_url( 'admin-ajax.php' ),
			'WOO_FLOATING_CART_URL'   => WOO_FLOATING_CART_URL
			);
		wp_localize_script( 'wp-floating-cart-scripts', 'wpFloatingCart', $localize_array );
	}
	/**
	* Output of the cart design in the footer
	*
	* @since  [1.0]
	* @return html
	*/		
	public function floating_show_cart_content()
	{
		do_action( 'show_cart_output' );
	}

	/**
	* Update cart onadd cart button clicked
	*
	* @since  [1.0]
	*/		
	public function update_cart()
	{
		do_action('get_cart_contents');
		die();
	}
	
}